<?php
/**
 * Copyright (C) 2025  Jaap Jansma (jaap.jansma@civicoop.org)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

use CRM_Utmtracking_ExtensionUtil as E;

return [
  'type' => 'search',
  'title' => E::ts('UTM Tracking Records'),
  'description' => E::ts('List all UTM Tracking Records'),
  'placement' => [],
  'icon' => 'fa-list-alt',
  'server_route' => 'civicrm/utmtracking/reports',
  'permission' => [
    'access CiviCRM',
    'administer CiviCRM data',
  ],
  'permission_operator' => 'AND',
  'navigation' => [
    'parent' => 'Reports',
    'label' => E::ts('UTM Tracking Records'),
    'weight' => 99,
  ]
];