<?php
use CRM_Utmtracking_ExtensionUtil as E;

return [
  'name' => 'Utmtracking',
  'table' => 'civicrm_utmtracking',
  'class' => 'CRM_Utmtracking_DAO_utmtracking',
  'getInfo' => fn() => [
    'title' => E::ts('UTM Tracking Record'),
    'title_plural' => E::ts('UTM Tracking Records'),
    'description' => E::ts('Track UTM usages. Links contributions, contribution recurs, activity, etc to an UTM Campaign and Medium '),
    'log' => FALSE,
  ],
  'getFields' => fn() => [
    'id' => [
      'title' => E::ts('ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'required' => TRUE,
      'description' => E::ts('Unique Utmtracking ID'),
      'primary_key' => TRUE,
      'auto_increment' => TRUE,
    ],
    'activity_id' => [
      'title' => E::ts('Activity ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Activity'),
      'entity_reference' => [
        'entity' => 'Activity',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'contribution_id' => [
      'title' => E::ts('Contribution ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Contribution'),
      'entity_reference' => [
        'entity' => 'Contribution',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'contribution_recur_id' => [
      'title' => E::ts('Contribution Recur ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Contribution Recur'),
      'entity_reference' => [
        'entity' => 'ContributionRecur',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'membership_id' => [
      'title' => E::ts('Membership ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Membership'),
      'entity_reference' => [
        'entity' => 'Membership',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'participant_id' => [
      'title' => E::ts('Participant ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'description' => E::ts('FK to Participant'),
      'entity_reference' => [
        'entity' => 'Participant',
        'key' => 'id',
        'on_delete' => 'SET NULL',
      ],
    ],
    'utm_source' => [
      'title' => E::ts('UTM Source'),
      'sql_type' => 'varchar(255)',
      'input_type' => 'Text',
    ],
    'utm_campaign' => [
      'title' => E::ts('UTM Campaign'),
      'sql_type' => 'varchar(255)',
      'input_type' => 'Text',
    ],
    'utm_medium' => [
      'title' => E::ts('UTM Medium'),
      'sql_type' => 'varchar(255)',
      'input_type' => 'Text',
    ],
  ],
  'getIndices' => fn() => [],
  'getPaths' => fn() => [],
];
